Skip to content

Basic IPs

All operations require authentication.

3 operationsv2/publicCloud/project
Agent setup

List Ext-Net IPsProduction

GET
/v2/publicCloud/project/{projectId}/publicIp/extNet

Returns the Ext-Net IPs of the project.

Path parameters

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ExtNetIP[]successful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the Ext-Net IP

currentState
read-only
ExtNetIPCurrentState

Current state of the Ext-Net IP

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the Ext-Net IP

id
read-only
ip

The Ext-Net IP address, used as identifier

resourceStatus
read-only
ResourceStatusEnum

Ext-Net IP readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
PublicIPExtNetTargetSpec

Last target specification of the Ext-Net IP

updatedAt
read-only
stringdate-time

Last update date of the Ext-Net IP

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/publicIp/extNet \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "id": "string", "ip": "192.0.2.0", "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING", "targetSpec": { "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get an Ext-Net IPProduction

GET
/v2/publicCloud/project/{projectId}/publicIp/extNet/{id}

Returns the Ext-Net IP, including the resource it's associated with.

Path parameters

id
required
ip

Id

projectId
required
string

Project ID

Response

200ExtNetIPsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the Ext-Net IP

currentState
read-only
ExtNetIPCurrentState

Current state of the Ext-Net IP

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the Ext-Net IP

id
read-only
ip

The Ext-Net IP address, used as identifier

resourceStatus
read-only
ResourceStatusEnum

Ext-Net IP readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
PublicIPExtNetTargetSpec

Last target specification of the Ext-Net IP

updatedAt
read-only
stringdate-time

Last update date of the Ext-Net IP

Example uses id = 192.0.2.0, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/publicIp/extNet/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "id": "string", "ip": "192.0.2.0", "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING", "targetSpec": { "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete an Ext-Net IPProduction

DELETE
/v2/publicCloud/project/{projectId}/publicIp/extNet/{id}

Deletes the Ext-Net IP. If it's associated with a resource, it is disassociated automatically.

Path parameters

id
required
ip

Id

projectId
required
string

Project ID

Response

200ExtNetIPsuccessful operation
checksum
read-only
string

Computed hash representing the current target specification value

createdAt
read-only
stringdate-time

Creation date of the Ext-Net IP

currentState
read-only
ExtNetIPCurrentState

Current state of the Ext-Net IP

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the Ext-Net IP

id
read-only
ip

The Ext-Net IP address, used as identifier

resourceStatus
read-only
ResourceStatusEnum

Ext-Net IP readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
PublicIPExtNetTargetSpec

Last target specification of the Ext-Net IP

updatedAt
read-only
stringdate-time

Last update date of the Ext-Net IP

Example uses id = 192.0.2.0, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/publicIp/extNet/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "associatedResource": { "id": "string", "type": "GATEWAY" }, "id": "string", "ip": "192.0.2.0", "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "192.0.2.0", "resourceStatus": "CREATING", "targetSpec": { "ipVersion": 4, "location": { "availabilityZone": "string", "region": "string" } }, "updatedAt": "2024-01-01T12:00:00Z"}